<?php



class TblblogcheckinfoMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogcheckinfoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogcheckinfoPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogcheckinfoPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogcheckinfo');
		$tMap->setClassname('Tblblogcheckinfo');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('CI_USERID', 'CiUserid', 'INTEGER' , 'tbluser', 'US_ID', true, null);

		$tMap->addColumn('CI_BIRTHDAY', 'CiBirthday', 'DATE', true, null);

		$tMap->addColumn('CI_PHONE', 'CiPhone', 'VARCHAR', true, 30);

		$tMap->addColumn('CI_PR', 'CiPr', 'LONGVARCHAR', true, null);

		$tMap->addColumn('CI_NUMBERID', 'CiNumberid', 'VARCHAR', true, 30);

		$tMap->addColumn('CI_POSITION', 'CiPosition', 'INTEGER', true, null);

		$tMap->addColumn('CI_SCHOOL', 'CiSchool', 'INTEGER', true, null);

		$tMap->addColumn('CI_DISTRICT', 'CiDistrict', 'INTEGER', true, null);

		$tMap->addColumn('CI_PROVINCE', 'CiProvince', 'INTEGER', true, null);

		$tMap->addColumn('CI_BADGE', 'CiBadge', 'VARCHAR', true, 30);

		$tMap->addColumn('CI_SUBJECT', 'CiSubject', 'VARCHAR', true, 30);

		$tMap->addColumn('CI_SCORE', 'CiScore', 'INTEGER', true, null);

	} 
} 